From 4fa81f1c04df649b183e1e55053662a35109d0b6 Mon Sep 17 00:00:00 2001
From: Matheus Alcantara <mths.dev@pm.me>
Date: Wed, 19 Mar 2025 16:15:43 -0300
Subject: [PATCH v1] Fix extension control path tests

Change expected extension to be installed from amcheck to plpgsql since
not all build farm animals has the contrib module installed.
---
 .../modules/test_extensions/t/001_extension_control_path.pl   | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/modules/test_extensions/t/001_extension_control_path.pl b/src/test/modules/test_extensions/t/001_extension_control_path.pl
index 7160009739a..c186c1470f7 100644
--- a/src/test/modules/test_extensions/t/001_extension_control_path.pl
+++ b/src/test/modules/test_extensions/t/001_extension_control_path.pl
@@ -64,14 +64,14 @@ is( $ret2,
 # Ensure that extensions installed on $system is still visible when using with
 # custom extension control path.
 my $ret3 = $node->safe_psql('postgres',
-	"select count(*) > 0 as ok from pg_available_extensions where name = 'amcheck'"
+	"select count(*) > 0 as ok from pg_available_extensions where name = 'plpgsql'"
 );
 is($ret3, "t",
 	"\$system extension is installed correctly on pg_available_extensions");
 
 
 my $ret4 = $node->safe_psql('postgres',
-	"set extension_control_path = ''; select count(*) > 0 as ok from pg_available_extensions where name = 'amcheck'"
+	"set extension_control_path = ''; select count(*) > 0 as ok from pg_available_extensions where name = 'plpgsql'"
 );
 is($ret4, "t",
 	"\$system extension is installed correctly on pg_available_extensions with empty extension_control_path"
-- 
2.39.5 (Apple Git-154)

